<template>
  <div id="app">
    <Public v-if="layout === 'public'" />
    <Dashboard v-if="layout === 'dashboard'" />
  </div>
</template>

<script>
// import ToggleAPI from './components/ToggleAPI'
import Public from './layout/public'
import Dashboard from './layout/dashboard'

export default {
  name: 'App',
  components: { Public, Dashboard },
  data () {
    return {
      formData: {
        name: 'Marty McFly'
      }
    }
  },
  computed: {
    layout: function () {
      return this.$route.meta && this.$route.meta.public ? 'public' : 'dashboard'
    }
  }
}
</script>
